QGIS Application - Bug report #9316
Topology errors detected by some checker, not from others
2014-01-10 03:53 AM - Paolo Cavallini

Status: Open

Priority: Normal

Assignee:

Category: C++ plugins/Geometry Checker

Affected QGIS version:3.0.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17923
Description

The attached shp has a number of topological errors. The fTools checker (under manu Vector>Gemoetry tools) detects 34 of them,
whereas the Topology checker plugin (now in core) fails to detect any.

History

#1 - 2014-06-29 11:31 AM - Jiirgen Fischer
- Category changed from C++ Plugins to C++ plugins/Topology checker

#2 - 2017-05-01 01:08 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2018-02-24 02:07 PM - Paolo Cavallini

This is a more general issue: apparently every checker engine has a different meaning for "invalid"
#4 - 2018-02-24 02:08 PM - Paolo Cavallini
- Subject changed from Topology errors detected by fTools, not from Topology checker to Topology errors detected by some checker, not from others

- Category changed from C++ plugins/Topology checker to C++ plugins/Geometry Checker

#5 - 2018-02-24 02:16 PM - Giovanni Manghi
- Affected QGIS version changed from 2.0.1 to 3.0.0

Files

clip_b.zip 128 KB 2014-01-10 Paolo Cavallini
